/* 友達紹介モーダル */
.modalOverlay {
    z-index: 1000000;
    position: fixed;
    opacity: 0;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    visibility: hidden;
    justify-content: center;
    align-items: center;
    animation: all 0.3s ease-in;
}

.flModal {
    z-index: 1000000;
    position: fixed;
    opacity: 0;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    padding: 0 15px;
    box-sizing: border-box;
    display: flex;
    visibility: hidden;
    justify-content: center;
    align-items: center;
    animation: all 0.3s ease-in;
    pointer-events: none;
}

.flModal * {
    pointer-events: auto;
}

.flModal.is--show {
    display: flex;
    visibility: visible;
    animation: flModalfadeIn forwards 0.3s ease-in;
}

.flModal.is--show ~ .modalOverlay {
    z-index: 999999;
    visibility: visible;
    animation: flModalfadeIn forwards 0.3s ease-in;
}

.flModal button {
    appearance: none;
    cursor: pointer;
}

.flModal .flModalClose button {
    z-index: 1000000;
    position: absolute;
    top: -20px;
    right: -20px;
    width: 80px;
    height: 80px;
    background: #000;
    border-radius: 50%;
    padding: 0;
    border: none;
    cursor: pointer;
    text-indent: -9999px;
    overflow: hidden;
    transition: 0.3s;
}

@media only screen and (max-width: 767px) {
    .flModal .flModalClose button {
        top: -15px;
        right: -10px;
        width: 50px;
        height: 50px;
    }
}

.flModal .flModalClose button:before,
.flModal .flModalClose button:after {
    display: block;
    content: "";
    position: absolute;
    width: 40px;
    height: 5px;
    background: #fff;
    left: calc(50% - 20px);
    top: 50%;
}

@media only screen and (max-width: 767px) {
    .flModal .flModalClose button:before,
    .flModal .flModalClose button:after {
        width: 24px;
        height: 4px;
        left: calc(50% - 12px);
    }
}

.flModal .flModalClose button:before {
    transform: rotate(45deg) translate(-1px, -1px);
}

.flModal .flModalClose button:after {
    transform: rotate(-45deg) translate(1px, -1px);
}

.flModal .flModalClose button:focus {
    outline: none;
}

.flModal .flModalClose button:hover {
    background: #222;
}

.flModal .flModalBody {
    position: relative;
    max-height: 80%;
    background: #fff;
    border-radius: 3px;
}

@media only screen and (max-width: 767px) {
    .flModal .flModalBody .flModalContents__header img {
        max-width: 100%;
        height: auto;
    }
    .flModal .flModalBody .flModalContents__subcaption {
        font-size: 1.4rem;
    }
    .flModal .flModalBody .flModalContents__discount {
        width: auto;
        display: block;
    }
    .flModal .flModalBody .flModalContents__discount img {
        max-width: 100%;
        height: auto;
    }
    .flModal .flModalBody .flModalContents__discount .discountDetails {
        display: block;
    }
    .flModal .flModalBody .flModalContents__discount .discountDetails .item {
        margin: 14px 0 0;
    }
}

.flModal .flModalContents {
    color: #000;
}

.flModal .flModalContents img{
    display: block;
}

.flModal .flModalContents .row1,
.flModal .flModalContents .row2 {
    text-align: center;
}

.flModal .flModalContents .row1 {
    border-radius: 3px 3px 0 0;
}

.flModal .flModalContents .row2 {
    background: #fff;
    border-radius: 0 0 3px 3px;
}

.flModal .flModalContents .row2 img {
    max-width: 35%;
    height: auto;
}

@media only screen and (max-width: 767px) {
    .flModal .flModalContents .row2 img {
        max-width: 50%;
    }
}

.flModal .flModalContents__caption {
    margin: 20px 0 0;
    text-align: center;
    font-weight: bold;
    font-size: 1.8rem;
}

@media only screen and (max-width: 767px) {
    .flModal .flModalContents__caption {
        font-size: 1.6rem;
    }
}

.flModal .flModalContents__discount {
    margin: 0 auto;
    text-align: center;
}

.flModal .flModalContents__discount .discountDetails {
    background: #fff;
    padding: 12px 0 20px;
    text-align: left;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.flModal .flModalContents__subcaption {
    font-size: 1.6rem;
    font-weight: bold;
}

.flModal .flModalContents__subcaption span {
    font-weight: bold;
}

.flModal .flModalContents__register {
    font-size: 2.4rem;
    font-weight: bold;
    line-height: 1.4;
    margin: 4px 0 0;
}

.flModal .flModalContents__register img {
    vertical-align: baseline;
    max-width: 90%;
    height: auto;
}

.flModal .flModalContents__close button {
    width: 100%;
    background: #000;
    border: none;
    padding: 18px 0;
    color: #fff;
    font-size: inherit;
    border-radius: 0;
    transition: 0.3s;
}

@media only screen and (max-width: 767px) {
    .flModal .flModalContents__close button {
        padding: 12px 0;
    }
}

.flModal .flModalContents__close button:hover {
    background: #222;
}

@keyframes flModalfadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}
/* 右下バナー */
.cashless {
    position: fixed;
    right: 25px;
    bottom: 25px;
    z-index: 9999;
    background: #fff;
    padding: 12px;
    box-shadow: 0 0 15px 0 rgba(0, 0, 0, 0.3);
    border-radius: 3px;
    text-align: center;
}

.cashless a{
    display: block;
}

.cashless .button {
    position: relative;
    padding: .7em 1em;
    border: 2px solid rgba(0, 0, 0, 0);
    border-radius: 3px;
    cursor: pointer;
    font-weight: 500;
    line-height: 1.4;
    vertical-align: middle;
    text-align: center;
    text-decoration: none !important;
    min-width: 180px;
    margin-bottom: 0;
    padding-right: 0.5em;
    padding-left: 0.5em;
    background-color: #F7790B;
    box-sizing: border-box;
    color: #fff;
    font-feature-settings: "palt";
}

.cashless .button:hover {
    background-color: #F98D2F;
    color: #fff;
}

.cashless-pr {
    font-feature-settings: "palt";
    font-weight: bold;
    font-size: 16px;
    text-align: center;
    margin-bottom: 3px;
    color: #113D6B;
}
.cashless .campaign-add{
    margin-top: 8px !important;
}

.cashless-del {
    position: absolute;
    top: -17px;
    right: -17px;
    display: flex;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background: #28425b;
    color: #fff;
    cursor: pointer;
    justify-content: center;
    align-items: center;
    border: 2px solid #fff;
    box-shadow: 0 2px 4px 0 #666;
}

.cashless-del span::before,
.cashless-del span::after {
    display: block;
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 60%;
    height: 12%;
    margin: -7% 0 0 -30%;
    background: #fff;
}

.cashless-del span::before {
    transform: rotate(-45deg);
}

.cashless-del span::after {
    transform: rotate(45deg);
}

.is--none {
    display: none!important;
}

@media only screen and (min-width: 768px) and (max-width: 1099px) {
    .cashless .btn_orange-l{font-size: 14px;}
}

@media only screen and (max-width: 767px) {
    .cashless {
        width: 170px;
        padding:10px 4px 8px 4px;
        bottom: 15px !important;
    }
    .cashless-del {
        width: 26px;
        height: 26px;
    }
    .cashless img{width: 92%; height:auto;}
    .cashless-pr{display: none;}
    .cashless .campaign-add{display: none;}
    .cashless p{font-size: 10px !important;}
    #pagetop-btn {
        display: none !important;
    }
}